> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all teams for an organization

GET https://api.contentful.com/organizations/{organization_id}/teams

Returns a paginated collection of all teams in the organization. Accessible by all organization members.

Reference: https://contentful.com/developers/docs/references/user-management-api/teams/get-all-teams-for-an-organization

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The organization ID

### Query parameters

- `skip` (integer, optional) — Specify an offset to paginate through results
- `limit` (integer, optional) — Specify the maximum number of results

## Response

### 200

OK - Paginated list of teams

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "description": "Furniture and accessories",
      "name": "Home Department",
      "sys": {
        "createdAt": "2025-02-24T08:24:22.000Z",
        "createdBy": {
          "sys": {
            "id": "6i4t6xastbPBhgW7xDtpPH",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "2v0NGpymMx5dc1sWjtiarg",
        "memberCount": 0,
        "organization": {
          "sys": {
            "id": "4EJGvuLTBUMG2A6wS8gfAS",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "type": "Team",
        "updatedAt": "2025-02-24T08:24:22.000Z",
        "updatedBy": {
          "sys": {
            "id": "4RP9VsYx86a44lASXtinmi",
            "linkType": "User",
            "type": "Link"
          }
        }
      }
    }
  ],
  "limit": 25,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```